<div class="head">
  <mat-toolbar>
    <div class="heading-1">General Information</div>
    <a [routerLink]="['/apps', appID]">General info</a>
    <a [routerLink]="['/apps']">Back to pods</a>
  </mat-toolbar>
</div>

<div class="info-general">
  <div class="info text">
    For your pod to be able to communicate with our backend services -
    you need a special authentication token for that.
    To generate a new token click New Token button below.
  </div>
</div>

<div class="toolbar">
  <button mat-raised-button (click)="onNewToken()">New Token</button>
</div>

<div class="list-container">
  <devportal-token-list [tokens]="appTokens$ | async"></devportal-token-list>
</div>
